Package fr.gouv.vitam.worker.core.handler

# Class CommitLifeCycleUnitActionHandler

java.lang.Object
fr.gouv.vitam.worker.core.handler.ActionHandler
fr.gouv.vitam.worker.core.handler.CommitLifeCycleActionHandler
fr.gouv.vitam.worker.core.handler.CommitLifeCycleUnitActionHandler

All Implemented Interfaces:
  `VitamAutoCloseable`, `AutoCloseable`

public class CommitLifeCycleUnitActionHandler extends CommitLifeCycleActionHandler
CommitLifeCycleUnit Handler

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CommitLifeCycleUnitActionHandler()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ItemStatus`
  `buildFinalItemStatus(ItemStatus itemStatus)`
  Returns the final ItemStatus related to the current actionHandler execution based on a given one
  `void`
  `commitLifeCycle(HandlerIO handlerIO, String objectID, String operationId)`
  Runs a commit process for the given object (Unit or ObjectGroup) and a given operation
  `static final String`
  `getId()`
  `ItemStatus`
  `getItemStatus()`
  Returns an ItemStatus

  ### Methods inherited from class fr.gouv.vitam.worker.core.handler.CommitLifeCycleActionHandler

  `checkMandatoryIOParameter, execute`

  ### Methods inherited from class fr.gouv.vitam.worker.core.handler.ActionHandler

  `checkMandatoryParameters, close, executeList, updateDetailItemStatus`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CommitLifeCycleUnitActionHandler

    public CommitLifeCycleUnitActionHandler()

- ## Method Details

  - ### getId

    public static final String getId()
    Returns:
      HANDLER_ID

  - ### commitLifeCycle

    public void commitLifeCycle(HandlerIO handlerIO, String objectID, String operationId) throws ProcessingException, LogbookClientBadRequestException, LogbookClientNotFoundException, LogbookClientServerException
    Description copied from class: `CommitLifeCycleActionHandler`
    Runs a commit process for the given object (Unit or ObjectGroup) and a given operation
    Specified by:
      `commitLifeCycle` in class `CommitLifeCycleActionHandler`
    Parameters:
      `handlerIO` - a HandlerIO instance
      `objectID` - the object id to commit
      `operationId` - the operation id
    Throws:
      `ProcessingException` - if processing exception occurred when commit unit lifecycle
      `LogbookClientBadRequestException` - if the argument is incorrect when commit unit lifecycle
      `LogbookClientNotFoundException` - if the element was not created before when commit unit lifecycle
      `LogbookClientServerException` - if the Server got an internal error when commit unit lifecycle

  - ### getItemStatus

    public ItemStatus getItemStatus()
    Description copied from class: `CommitLifeCycleActionHandler`
    Returns an ItemStatus
    Specified by:
      `getItemStatus` in class `CommitLifeCycleActionHandler`
    Returns:
      an ItemStatus

  - ### buildFinalItemStatus

    public ItemStatus buildFinalItemStatus(ItemStatus itemStatus)
    Description copied from class: `CommitLifeCycleActionHandler`
    Returns the final ItemStatus related to the current actionHandler execution based on a given one
    Specified by:
      `buildFinalItemStatus` in class `CommitLifeCycleActionHandler`
    Parameters:
      `itemStatus` - a given ItemStatus
    Returns:
      the final ActionHandler ItemStatus